/*
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Copyright 2000 by Michael B. Allen
 *
 */

package jcifs.netbios;

import java.net.UnknownHostException;

/**
 * Thrown to indicate that the hostname of an IP address could not be determined
 *
 * @version   0.1, 00/03/13
 * @author    Michael B. Allen
 * @since     jcifs-0.1
 */

public class UnknownNbtHostException extends UnknownHostException {

/** 
 * Constructs a new <code>UnknownNbtHostException</code> with the specified
 * message detail.
 *
 * @param the message detail
 */
 
    public UnknownNbtHostException( String host ) {
        super( host );
    }

/** 
 * Constructs a new <code>UnknownNbtHostException</code> with no message
 * detail.
 */ 

    public UnknownNbtHostException() {
    }
}
